orte/mca/pls/rsh/pls_rsh.h File Reference.TH "orte/mca/pls/rsh/pls_rsh.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/pls/rsh/pls_rsh.h \- Part of the rsh launcher. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/pls/pls.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_pls_rsh_component_t\fP \fBorte_pls_rsh_component_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_pls_rsh_component_open\fP (void)"
.br
.ti -1c
.RI "int \fBorte_pls_rsh_component_close\fP (void)"
.br
.ti -1c
.RI "\fBorte_pls_base_module_t\fP * \fBorte_pls_rsh_component_init\fP (int *priority)"
.br
.ti -1c
.RI "int \fBorte_pls_rsh_finalize\fP (void)"
.br
.ti -1c
.RI "int \fBorte_pls_rsh_launch\fP (\fBorte_jobid_t\fP)"
.br
.RI "\fILaunch a daemon (bootproxy) on each node. \fP"
.ti -1c
.RI "int \fBorte_pls_rsh_terminate_job\fP (\fBorte_jobid_t\fP)"
.br
.RI "\fIQuery the registry for all nodes participating in the job. \fP"
.ti -1c
.RI "int \fBorte_pls_rsh_terminate_proc\fP (const orte_process_name_t *proc_name)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "ORTE_DECLSPEC \fBorte_pls_rsh_component_t\fP \fBmca_pls_rsh_component\fP"
.br
.ti -1c
.RI "ORTE_DECLSPEC \fBorte_pls_base_module_t\fP \fBorte_pls_rsh_module\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Part of the rsh launcher. 

See \fBpls_rsh.h\fP for an overview of how it works.
.SH "Function Documentation"
.PP 
.SS "int orte_pls_rsh_launch (\fBorte_jobid_t\fP jobid)"
.PP
Launch a daemon (bootproxy) on each node. 
.PP
The daemon will be responsible for launching the application. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
